Bug 1185866 - beakerlib requires rpm-python
Summary: beakerlib requires rpm-python
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: 22
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Dalibor Pospíšil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1173652 Fedora-beakerlib
TreeView+ depends on / blocked
 
Reported: 2015-01-26 13:38 UTC by Petr Viktorin
Modified: 2017-03-22 22:11 UTC (History)
3 users (show)

Fixed In Version: beakerlib-1.11-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-25 15:13:22 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2015-01-26 13:38:32 UTC
Description of problem:
beakerlib-journalling imports the "rpm" Python module, but rpm-python is not listed in Requires.


Version-Release number of selected component (if applicable):
beakerlib-1.10-1.fc22.noarch

How reproducible:
always

Steps to Reproduce:
1. Using rpm -e, remove yum, dnf, dnf-plugins-core, and rpm-python
2. /bin/bash -c ". /usr/share/beakerlib/beakerlib.sh ; rlJournalStart"

Actual results:
ImportError: No module named rpm

Expected results:
rpm-python can not be uninstalled because beakerlib should depend on it

Comment 1 Jaroslav Reznik 2015-03-03 16:46:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2017-03-22 22:05:25 UTC
python-pytest-beakerlib-0.7.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6188d5407

Comment 3 Fedora Update System 2017-03-22 22:11:10 UTC
python-pytest-beakerlib-0.7.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-de22a03227


Note You need to log in before you can comment on or make changes to this bug.